
perfect-scrollbar{
    height: calc(100vh - 215px);
    

    @media (max-width: 647px){
        height: calc(100vh - 150px);
    }
}

::ng-deep{
    perfect-scrollbar{
        .ps.ps--active-y{
            .ps__rail-y{
                background-color: transparent !important;
            }
        }
    }
}


.sidebar-search{
    padding: 0px 15px 0 10px;
    margin: 10px 0;

    .form-control{
        height: 40px;
        background: #445162;
        border: 0px;
        color: #fff;

        &:focus{
            outline: 0;
            box-shadow: inherit;
        }
    }

     .btn-search {
        position: absolute;
        right: 10px;
        top: 4px;
        background: transparent;
        box-shadow: inherit;
        border: 0;
        color: #fff;
        font-size: 20px;
        z-index: 99;

        @media (max-width: 991px){
            top: 8px;
            font-size: 20px;
        }
    }
}


.sidebar {
    .nav{
        width: 100%;
    }

    .nav-item{
        padding: 5px 0px;
    }

    .nav-link{
        position: relative;
        font-weight: 600;
        font-size: 12px;
        display: inline-flex;
        width: 100%;
        align-items: center;
        transition: 0.3s;
        

        @media (max-width: 1440px){
            font-size: 12px;
        }

        &:after{
            content: "";
            background-image: url('../../../assets/img/sidebar/left-arrow.svg');
            background-repeat: no-repeat;
            font-family: "FontAwesome";
            position: absolute;
            right: 20px;
            top: 16px;
            font-size: 14px;
            color: #fff;
            height: 18px;
            width: 10px;
            background-size: 70%;

            @media (max-width: 1024px){
                background-size: 55%;
            }
        }

        img{
            margin-right: 10px;
            width: 30px;
            height: 25px;

            @media (max-width: 1440px){
                margin-right: 8px;
                width: 25px;
                height: 20px
            }
        }

        &:hover{
            background: #374252 !important;
            border-top-left-radius: 3px;
            border-bottom-left-radius: 3px;
            border-left: 4px solid #00CA00;
            transition: 0.3s;

            &:after{
                background-image: url('../../../assets/img/sidebar/right-arrow.svg');
            }
            
        }
    }

    .nav-link.active{
        background: #00CA00;

        &:after{
            content: "";
            background-image: url('../../../assets/img/sidebar/right-arrow.svg');
            background-repeat: no-repeat;
            font-family: "FontAwesome";
            position: absolute;
            right: 20px;
            top: 16px;
            font-size: 14px;
            color: #fff;
            height: 18px;
            width: 10px;
            background-size: 70%;

            @media (max-width: 1024px){
                background-size: 55%;
            }
        }
    }

  
}